<?xml version="1.0" encoding="UTF-8"?>
<manifest>

  <include name="aosp-p9.0.0_2.3.4.xml"/>

  <remote  name="android-imx"
           fetch="https://source.codeaurora.org/external/imx/aosp/"
           review="" />

  <remote  name="android-imx-orig"
           fetch="https://source.codeaurora.org/external/imx/android-imx"
           review="" />

  <remote  name="imx-linux-sdk"
           fetch="https://source.codeaurora.org/external/imx/"
           review="" />

  <remote  name="imx-proprietary"
           fetch="https://github.com/nxp/"
           review="" />

  <project path="vendor/nxp/imx-firmware" name="imx-firmware" remote="imx-proprietary" revision="f6d0859f9435796f03ae93b70b5f92f4406bc56d" />

  <!-- For imx public git. -->
  <project path="vendor/nxp-opensource/uboot-imx" name="uboot-imx" remote="imx-linux-sdk" revision="refs/tags/p9.0.0_2.3.5-auto" />
  <project path="vendor/nxp-opensource/arm-trusted-firmware" name="imx-atf" remote="imx-linux-sdk" revision="refs/tags/p9.0.0_2.3.5-auto" />
  <project path="vendor/nxp-opensource/imx-lib" name="imx-lib" remote="imx-linux-sdk" revision="refs/tags/p9.0.0_2.3.5-auto" />
  <project path="vendor/nxp-opensource/imx-mkimage" name="imx-mkimage" remote="imx-linux-sdk" revision="refs/tags/p9.0.0_2.3.5-auto" />
  <project path="vendor/nxp-opensource/kernel_imx" name="linux-imx" remote="imx-linux-sdk" revision="refs/tags/p9.0.0_2.3.5-auto" />
  <project path="vendor/nxp-opensource/libdrm-imx" name="libdrm-imx" remote="imx-linux-sdk" revision="refs/tags/p9.0.0_2.3.5-auto" />

  <project path="device/fsl" name="device/fsl" remote="android-imx-orig" revision="refs/tags/p9.0.0_2.3.5-auto" />
  <project path="vendor/nxp-opensource/imx" name="platform/hardware/imx" remote="android-imx-orig" revision="refs/tags/p9.0.0_2.3.5-auto" />
  <project path="vendor/nxp-opensource/fsl_imx_demo" name="platform/packages/apps/fsl_imx_demo" remote="android-imx-orig" revision="refs/tags/p9.0.0_2.3.5-auto" />

  <!-- For imx changed aosp git. -->
  <project path="art" name="platform/art" groups="pdk" remote="android-imx" revision="refs/tags/p9.0.0_2.3.5-auto"/>
  <project path="build/make" name="platform/build" groups="pdk" remote="android-imx" revision="refs/tags/p9.0.0_2.3.5-auto" >
    <copyfile src="core/root.mk" dest="Makefile" />
    <linkfile src="CleanSpec.mk" dest="build/CleanSpec.mk" />
    <linkfile src="buildspec.mk.default" dest="build/buildspec.mk.default" />
    <linkfile src="core" dest="build/core" />
    <linkfile src="envsetup.sh" dest="build/envsetup.sh" />
    <linkfile src="target" dest="build/target" />
    <linkfile src="tools" dest="build/tools" />
  </project>
  <project path="build/soong" name="platform/build/soong" groups="pdk,tradefed" remote="android-imx" revision="refs/tags/p9.0.0_2.3.5-auto" >
    <linkfile src="root.bp" dest="Android.bp" />
    <linkfile src="bootstrap.bash" dest="bootstrap.bash" />
  </project>
  <project path="bootable/recovery" name="platform/bootable/recovery" groups="pdk" remote="android-imx" revision="refs/tags/p9.0.0_2.3.5-auto" />
  <project path="development" name="platform/development" groups="developers,pdk-cw-fs,pdk-fs" remote="android-imx" revision="refs/tags/p9.0.0_2.3.5-auto" />
  <project path="external/avb" name="platform/external/avb" groups="pdk" remote="android-imx" revision="refs/tags/p9.0.0_2.3.5-auto" />
  <project path="external/tinyalsa" name="platform/external/tinyalsa" groups="pdk" remote="android-imx" revision="refs/tags/p9.0.0_2.3.5-auto" />
  <project path="external/nanopb-c" name="platform/external/nanopb-c" groups="pdk" remote="android-imx" revision="refs/tags/p9.0.0_2.3.5-auto" />
  <project path="external/wpa_supplicant_8" name="platform/external/wpa_supplicant_8" groups="pdk" remote="android-imx" revision="refs/tags/p9.0.0_2.3.5-auto" />
  <project path="frameworks/base" name="platform/frameworks/base" groups="pdk-cw-fs,pdk-fs" remote="android-imx" revision="refs/heads/rel_p9.0.0_2.3.5-auto" />
  <project path="frameworks/native" name="platform/frameworks/native" groups="pdk" remote="android-imx" revision="refs/tags/p9.0.0_2.3.5-auto" />
  <project path="frameworks/av" name="platform/frameworks/av" groups="pdk" remote="android-imx" revision="refs/tags/p9.0.0_2.3.5-auto" />
  <project path="frameworks/ml" name="platform/frameworks/ml" groups="pdk" remote="android-imx" revision="refs/tags/p9.0.0_2.3.5-auto" />
  <project path="frameworks/opt/net/ethernet" name="platform/frameworks/opt/net/ethernet" groups="pdk-fs" remote="android-imx" revision="refs/tags/p9.0.0_2.3.5-auto" />
  <project path="frameworks/opt/net/wifi" name="platform/frameworks/opt/net/wifi" groups="pdk" remote="android-imx" revision="refs/tags/p9.0.0_2.3.5-auto" />
  <project path="hardware/broadcom/libbt" name="platform/hardware/broadcom/libbt" groups="pdk" remote="android-imx" revision="refs/tags/p9.0.0_2.3.5-auto" />
  <project path="hardware/interfaces" name="platform/hardware/interfaces" groups="pdk" remote="android-imx" revision="refs/tags/p9.0.0_2.3.5-auto" />
  <project path="hardware/qcom/bt" name="platform/hardware/qcom/bt" groups="qcom,pdk-qcom" remote="android-imx" revision="refs/tags/p9.0.0_2.3.5-auto" />
  <project path="hardware/qcom/wlan" name="platform/hardware/qcom/wlan" groups="qcom_wlan,pdk-qcom" remote="android-imx" revision="refs/tags/p9.0.0_2.3.5-auto"  />
  <project path="packages/apps/Camera2" name="platform/packages/apps/Camera2" groups="pdk-fs" remote="android-imx" revision="refs/tags/p9.0.0_2.3.5-auto" />
  <project path="packages/apps/Car/Hvac" name="platform/packages/apps/Car/Hvac" groups="pdk-fs" remote="android-imx" revision="refs/tags/p9.0.0_2.3.5-auto" />
  <project path="packages/apps/Gallery" name="platform/packages/apps/Gallery" groups="pdk-fs" remote="android-imx" revision="refs/tags/p9.0.0_2.3.5-auto"/>
  <project path="packages/apps/Gallery2" name="platform/packages/apps/Gallery2" groups="pdk-fs" remote="android-imx" revision="refs/tags/p9.0.0_2.3.5-auto" />
  <project path="packages/apps/Launcher3" name="platform/packages/apps/Launcher3" groups="pdk-fs" remote="android-imx" revision="refs/tags/p9.0.0_2.3.5-auto" />
  <project path="packages/apps/LegacyCamera" name="platform/packages/apps/LegacyCamera" groups="pdk-fs" remote="android-imx" revision="refs/tags/p9.0.0_2.3.5-auto" />
  <project path="packages/apps/Settings" name="platform/packages/apps/Settings" groups="pdk-fs" remote="android-imx" revision="refs/tags/p9.0.0_2.3.5-auto" />
  <project path="packages/apps/SoundRecorder" name="platform/packages/apps/SoundRecorder" groups="pdk-fs" remote="android-imx" revision="refs/tags/p9.0.0_2.3.5-auto" />
  <project path="packages/apps/UnifiedEmail" name="platform/packages/apps/UnifiedEmail" groups="pdk-fs" remote="android-imx" revision="refs/tags/p9.0.0_2.3.5-auto" />
  <project path="packages/services/Car" name="platform/packages/services/Car" groups="pdk-cw-fs,pdk-fs" remote="android-imx" revision="refs/tags/p9.0.0_2.3.5-auto" />
  <project path="system/bt" name="platform/system/bt" groups="pdk" remote="android-imx" revision="refs/tags/p9.0.0_2.3.5-auto" />
  <project path="system/core" name="platform/system/core" groups="pdk" remote="android-imx" revision="refs/tags/p9.0.0_2.3.5-auto" />
  <project path="system/extras" name="platform/system/extras" groups="pdk" remote="android-imx" revision="refs/tags/p9.0.0_2.3.5-auto" />
  <project path="system/libhidl" name="platform/system/libhidl" groups="pdk" remote="android-imx" revision="refs/tags/p9.0.0_2.3.5-auto" />
  <project path="system/media" name="platform/system/media" groups="pdk" remote="android-imx" revision="refs/tags/p9.0.0_2.3.5-auto" />
  <project path="system/sepolicy" name="platform/system/sepolicy" groups="pdk" remote="android-imx" revision="refs/tags/p9.0.0_2.3.5-auto" />
  <project path="system/tools/bpt" name="platform/system/tools/bpt" groups="pdk" remote="android-imx" revision="refs/tags/p9.0.0_2.3.5-auto" />
  <project path="system/vold" name="platform/system/vold" groups="pdk" remote="android-imx" revision="refs/tags/p9.0.0_2.3.5-auto" />
</manifest>
